List Task Agent Revisions

List immutable executable revisions for a Task Agent.

Each revision contains the runtime configuration and pinned attachments that can be executed by new runs, long-lived sessions, or pinned triggers. The active revision is marked with active. Revisions are returned newest first.

Authentication

AuthorizationBearer

API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.

OR
AuthorizationBearer

API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID
task_agent_idstringRequiredformat: "uuid"
The task agent ID

Response

Task Agent revisions
idstringformat: "uuid"
task_agent_idstringformat: "uuid"
descriptionstring or null
instructionstring
modeenum
Execution mode for TaskAgent.
llm_model_idstring or nullformat: "uuid"
fallback_llm_model_idstring or nullformat: "uuid"
createdstring
llm_modelobject or nullOptional
fallback_llm_modelobject or nullOptional
task_toolslist of objectsOptional
integrationslist of objectsOptional
skillslist of objectsOptional
mcp_serverslist of objectsOptional
registered_toolslist of objectsOptional
tagslist of objectsOptional
memory_strategystring or nullOptional
memory_configmap from strings to any or nullOptional
max_turnsinteger or nullOptional
activebooleanOptionalDefaults to false
modifiedstring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error